Edit

Share via


Tags - Apply Tags

Apply tags on an item.

Permissions

The caller must have contributor or higher role on the workspace.

Required Delegated Scopes

ItemMetadata.ReadWrite.All or these scope types:

  • Generic scope: Item.ReadWrite.All
  • Specific scope: itemType.ReadWrite.All (for example: Notebook.ReadWrite.All)

For more information about scopes, see Scopes article.

Limitations

Maximum 25 requests per one minute per principal.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}/applyTags

URI Parameters

Name In Required Type Description
itemId
path True

string (uuid)

The item ID.

workspaceId
path True

string (uuid)

The workspace ID.

Request Body

Name Required Type Description
tags True

string[] (uuid)

The array of tag IDs.

Responses

Name Type Description
200 OK

Tags were applied successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • ItemNotFound - Indicates that the server cannot find the requested item

  • EntityNotFound - Tag ID does not exist

  • InvalidInputs - Invalid input was provided

Examples

Apply tags example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/items/cfafbeb1-8037-4d0c-896e-a46fb27ff230/applyTags

{
  "tags": [
    "97dd1d38-a4c6-41ed-bc4f-1e383f8ddd0f",
    "41d5b790-76d9-4ebe-9f06-b34cc280a612",
    "7b8e5ada-2dee-4b97-915e-0b9d3b416b1e"
  ]
}

Sample response

Definitions

Name Description
ApplyTagsRequest

The request payload for applying tags.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ApplyTagsRequest

The request payload for applying tags.

Name Type Description
tags

string[] (uuid)

The array of tag IDs.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.